using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace LebedenkoHranitel
{
    public partial class GeneralDep : Form
    {
        public GeneralDep()
        {
            InitializeComponent();
        }

        private void Form4_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Подразделения". При необходимости она может быть перемещена или удалена.
            this.подразделенияTableAdapter.Fill(this.lEBSesDataSet.Подразделения);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Цель". При необходимости она может быть перемещена или удалена.
            this.цельTableAdapter.Fill(this.lEBSesDataSet.Цель);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Групповое". При необходимости она может быть перемещена или удалена.
            this.групповоеTableAdapter.Fill(this.lEBSesDataSet.Групповое);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Цель". При необходимости она может быть перемещена или удалена.
            this.цельTableAdapter.Fill(this.lEBSesDataSet.Цель);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Подразделения". При необходимости она может быть перемещена или удалена.
            this.подразделенияTableAdapter.Fill(this.lEBSesDataSet.Подразделения);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Личное_Посещение". При необходимости она может быть перемещена или удалена.
            this.личное_ПосещениеTableAdapter1.Fill(this.lEBSesDataSet.Личное_Посещение);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "lEBSesDataSet.Цель". При необходимости она может быть перемещена или удалена.
            this.цельTableAdapter.Fill(this.lEBSesDataSet.Цель);
            this.личное_ПосещениеTableAdapter1.Fill(this.lEBSesDataSet.Личное_Посещение);
            this.подразделенияTableAdapter.Fill(this.lEBSesDataSet.Подразделения);
            

        }
        private void button1_Click_1(object sender, EventArgs e)
        {
            личноеПосещениеBindingSource.Filter = "Цель= '" + comboBox1.Text + "'";
        }

        private void comboBox2_SelectedIndexChanged_1(object sender, EventArgs e)
        {
            
        }

        private void comboBox1_SelectedIndexChanged_1(object sender, EventArgs e)
        {
            
        }

        private void comboBox3_SelectedIndexChanged_1(object sender, EventArgs e)
        {
            
        }

        private void button3_Click_1(object sender, EventArgs e)
        {
            личноеПосещениеBindingSource.Filter = "Подразделение= '" + comboBox2.Text + "'";
        }

        private void button4_Click_1(object sender, EventArgs e)
        {
            личноеПосещениеBindingSource.Filter = "Статус= '" + comboBox3.Text + "'";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            личноеПосещениеBindingSource.Filter = string.Empty;
        }

        private void button5_Click(object sender, EventArgs e)
        {
            Validate();
            личноеПосещениеBindingSource.EndEdit();
            личное_ПосещениеTableAdapter1.Update(lEBSesDataSet);
            tableAdapterManager1.UpdateAll(lEBSesDataSet);
        }

        private void groupBox4_Enter(object sender, EventArgs e)
        {

        }

        private void groupBox3_Enter(object sender, EventArgs e)
        {

        }

        private void button14_Click(object sender, EventArgs e)
        {
            Validate();
            групповоеBindingSource.EndEdit();
            групповоеTableAdapter.Update(lEBSesDataSet);
            tableAdapterManager1.UpdateAll(lEBSesDataSet);
        }

        private void button17_Click(object sender, EventArgs e)
        {
            групповоеBindingSource.Filter = "Цель= '" + comboBox1.Text + "'";
        }

        private void button18_Click(object sender, EventArgs e)
        {
            групповоеBindingSource.Filter = "Подразделение= '" + comboBox2.Text + "'";
        }

        private void button16_Click(object sender, EventArgs e)
        {
           групповоеBindingSource.Filter = "Статус= '" + comboBox3.Text + "'";
        }

        private void button15_Click(object sender, EventArgs e)
        {
            групповоеBindingSource.Filter = string.Empty;
        }

        private void button13_Click(object sender, EventArgs e)
        {
            групповоеBindingSource.RemoveCurrent();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            личноеПосещениеBindingSource.RemoveCurrent();
        }

        private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            Form7 f7 = new Form7();
            f7.Show();
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }
    }
}
